www/p5-Catalyst-Authentication-Credential-HTTP - The NetBSD Packages Collection

HTTP Basic and Digest authentication for Catalyst

This module provides the feature of HTTP authentication for
Catalyst::Plugin::Authentication. Both basic and digest authentication
are currently supported.

When authentication is required, this module sets a status of 401, and
the body of the response to 'Authorization required.'. To override this
and set some own content, check for the $c->res->status == 401 in the
end action, and change the body accordingly.

Build dependencies

devel/p5-Test-Exception devel/p5-Test-Needs devel/p5-Test-MockObject devel/p5-Package-DeprecationManager devel/p5-Module-Build-Tiny pkgtools/cwrappers

Runtime dependencies

www/p5-Catalyst-Plugin-Authentication www/p5-Catalyst-Runtime devel/p5-Class-Accessor devel/p5-Data-UUID devel/p5-String-Escape www/p5-URI lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 8.0earmv7hfp5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 8.0earmv7hfp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 8.0i386p5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 8.0i386p5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 8.0powerpcp5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 8.0powerpcp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 8.0powerpcp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 8.0powerpcp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 8.0x86_64p5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 8.0x86_64p5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0aarch64p5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0aarch64p5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 9.0aarch64p5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0alphap5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0alphap5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 9.0alphap5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0earmp5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 9.0earmp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0earmp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0earmv6hfp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0earmv6hfp5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 9.0earmv6hfp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0earmv7hfp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0earmv7hfp5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 9.0earmv7hfp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0earmv7hfp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0i386p5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 9.0i386p5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0mips64ebp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0mips64ebp5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 9.0mips64ebp5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 9.0mips64ebp5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 9.0mips64ebp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0mipselp5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 9.0powerpcp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0powerpcp5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 9.0powerpcp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0powerpcp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0sh3elp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0sh3elp5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 9.0sh3elp5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 9.0sh3elp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0sparc64p5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0sparc64p5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 9.0sparc64p5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0sparcp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0sparcp5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 9.0sparcp5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 9.0sparcp5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 9.0sparcp5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0x86_64p5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0x86_64p5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0x86_64p5-Catalyst-Authentication-Credential-HTTP-1.018nb3.tgz
NetBSD 9.0x86_64p5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz
NetBSD 9.0x86_64p5-Catalyst-Authentication-Credential-HTTP-1.018nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.